/*公共样式【首页】*/
/* Vue 挂载前隐藏未编译模板，消除页面闪烁 */
[v-cloak] {
    display: none !important;
}
/* 取消元素自带的内边距外边距 */
/* 直接使用*匹配的是页面中所有的元素，没有内边距外边距的元素也取消了，不够优化 */
* {
    margin: 0;
    padding: 0;

}

html {
    min-width: 1360px;
    background-color: #fff;
}

html,
body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ul,
ol,
li,
dt,
dd,
dl,
img {
    margin: 0;
    padding: 0;
}

@font-face {
    font-family: 'PingFang-SC';
    src: url('../../assets/fonts/PingFang Medium.ttf');
}

/* 取消a标签默认的下划线效果 只有在鼠标滑过的情况下会显示下划线  */

a {
    text-decoration: none;
}

a:hover {
    text-decoration: none;
}

/* 取消表单元素在浏览器里面获取到焦点的时候出现边框、外边线的效果 */
/* 默认表单元素的边框颜色不一样是为了达到统一，取消默认的边框设置自己需要的 */
input {
    outline: none;
    border: none;
}

/* 取消列表项，list-style具有继承性，下属的li列表项都会被取消 */
ul,
ol,
li {
    list-style: none;
}

/* 万能清除法 */
/* 解决高度塌陷的问题 */
.wnqc::after {
    content: "";
    display: block;
    clear: both;
}

/*文字单行溢出省略号*/
.txt-ellipsis {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    -o-text-overflow: ellipsis;
}

/*文字多行溢出省略号*/
.article-container {
    display: -webkit-box;
    word-break: break-all;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 4;
    /* 需要显示的行数 */
    line-clamp: 4;
    /* 标准属性 */
    overflow: hidden;
    text-overflow: ellipsis;
}

.cur {
    cursor: pointer;
}

/*弹窗*/
.dialog .el-dialog__footer {
    text-align: center;
}

.dialog .el-dialog__footer button {
    width: 40%;
    height: 35px;
}

.dialog .el-dialog__footer .el-button {
    padding: 0px;
}

.dialog .el-dialog__header {
    padding: 10px 20px;
}

.dialog .el-dialog__header .el-dialog__title {
    font-size: 16px;
}

.dialog .el-dialog__header .el-dialog__headerbtn {
    top: 10px;
}

.dialog .el-dialog__body {
    padding: 20px;
}